﻿using System.Collections.Generic;
using System.Windows;

namespace Exam_Khasanov_V16
{
    public partial class MainWindow : Window
    {
        private List<Laureate> laureates;

        public MainWindow()
        {
            InitializeComponent();
            laureates = new List<Laureate>(); // Инициализируем список лауреатов
            LaureatesDataGrid.ItemsSource = laureates; // Устанавливаем источник данных для DataGrid
        }

        // Обработчик для кнопки "Добавить"
        private void AddButton_Click(object sender, RoutedEventArgs e)
        {
            // Открыть окно для добавления лауреата
            AddLaureateWindow addWindow = new AddLaureateWindow(laureates);
            addWindow.ShowDialog(); // Показываем окно добавления лауреата
            LaureatesDataGrid.Items.Refresh(); // Обновляем таблицу после добавления нового лауреата
        }

        // Обработчик для кнопки "Редактировать"
        private void EditButton_Click(object sender, RoutedEventArgs e)
        {
            if (LaureatesDataGrid.SelectedItem != null)
            {
                // Получаем выбранного лауреата
                Laureate selectedLaureate = (Laureate)LaureatesDataGrid.SelectedItem;
                // Открыть окно для редактирования лауреата
                AddLaureateWindow editWindow = new AddLaureateWindow(laureates, selectedLaureate);
                editWindow.ShowDialog(); // Показываем окно редактирования лауреата
                LaureatesDataGrid.Items.Refresh(); // Обновляем таблицу после редактирования
            }
            else
            {
                MessageBox.Show("Выберите лауреата для редактирования.", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        // Обработчик для кнопки "Удалить"
        private void DeleteButton_Click(object sender, RoutedEventArgs e)
        {
            if (LaureatesDataGrid.SelectedItem != null)
            {
                // Получаем выбранного лауреата
                Laureate selectedLaureate = (Laureate)LaureatesDataGrid.SelectedItem;
                // Удаляем лауреата из списка
                laureates.Remove(selectedLaureate);
                LaureatesDataGrid.Items.Refresh(); // Обновляем таблицу
                MessageBox.Show("Лауреат удален.", "Успех", MessageBoxButton.OK, MessageBoxImage.Information);
            }
            else
            {
                MessageBox.Show("Выберите лауреата для удаления.", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        // Обработчик для кнопки "Выход"
        private void ExitButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close(); // Закрыть окно
        }
    }


    // Класс для лауреата
    public class Laureate
    {
        public string Name { get; set; }
        public string Year { get; set; }
        public string Category { get; set; }
        public string Country { get; set; }
        public bool IsAlive { get; set; }
    }
}
